TypeError: jomresJquery.fn.tipsy is undefined jomres.js

jomresJquery.fn.tipsy Javascript errors

If your Jomres site javascript doesn't work, layout is incorrect and you are seeing various issues using the software, there's an easy fix.

Check your browser's console, if you see a message referring to jomresJquery.fn.tipsy then the solution is to change the Jomres template set that you are using. Visit Administrator > Jomres > Settings > Site Configuration > Misc tab, look for the "Bootstrap version" setting, it's the second option down.

If your theme/template uses Bootstrap 3 (for example, Leohtian is built on Bootstrap 3) then change that option to Bootstrap 3. Likewise for Bootstrap 4.

Why so many template sets?

Jomres includes template sets for Bootstrap 2, Bootstrap 3 and Bootstrap 4. Because Joomla 3 is delivered with a Bootstrap 2 template, the default setting for Jomres and a new installation is to use the Bootstrap 2 template set. The huge majority of templates and themes however are delivered with Bootstrap 3 and Bootstrap 4. Joomla 4 is coming soon and when it goes to Release Candidate then the default Jomres template will be changed to Bootstrap 4.

These template sets will only work on Joomla and Wordpress templates/themes that they're designed to support because the markup of each Bootstrap version is different therefore you need to ensure that Jomres is using the correct template set for your theme's/template's bootstrap version.